Bug 682607 - error happens in guest when start guest with -cdrom /dev/sr0 if no media insert
error happens in guest when start guest with -cdrom /dev/sr0 if no media insert
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier3
  Show dependency treegraph
 
Reported: 2011-03-06 21:12 EST by Shirley Zhou
Modified: 2015-03-04 19:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 00:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2011-03-06 21:12:44 EST
Description of problem:
Start RHEL5.6.z guest with "-cdrom /dev/sr0" when host no media inserted, login guest, some error happens in dmesg.

Version-Release number of selected component (if applicable):
guest kernel:kernel-2.6.18-238.5.1.el5
host qemu:qemu-kvm-0.12.1.2-2.113.el6_0.8.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start guest with host cdrom when host no media inserted
# -cdrom /dev/sr0
2. login guest, check cdrom 
# ll /dev/cdrom
lrwxrwxrwx 1 root root 3 Mar  7 04:47 /dev/cdrom -> hdc
3. Check hdc mode
# ll /dev/hdc
brw-rw---- 1 root disk 22, 0 Mar  7 04:47 /dev/hdc
4. check dmesg info, there are some i/o error happens 
#dmesg
hdc: drive_cmd: status=0x41 { DriveReady Error }
hdc: drive_cmd: error=0x04 { AbortedCommand }
ide: failed opcode was: 0xec
mtrr: type mismatch for f0000000,100000 old: uncachable new: write-combining
mtrr: type mismatch for f0000000,400000 old: uncachable new: write-combining
UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mounting volume 'UDF Volume', timestamp 2009/07/14 04:29 (1ed4)
SELinux: initialized (dev hdc, type udf), uses genfs_contexts
hdc: DMA disabled
hdc: dma error: status=0x50 { DriveReady SeekComplete }
ide: failed opcode was: unknown
VFS: busy inodes on changed media or resized disk hdc
VFS: busy inodes on changed media or resized disk hdc
hdc: command error: status=0x41 { DriveReady Error }
hdc: command error: error=0x50 { LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Logical block address out of range -- (asc=0x21, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 10 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 64
Buffer I/O error on device hdc, logical block 16
Buffer I/O error on device hdc, logical block 17
hdc: command error: status=0x41 { DriveReady Error }
hdc: command error: error=0x50 { LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Logical block address out of range -- (asc=0x21, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 10 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 64
Buffer I/O error on device hdc, logical block 16
Buffer I/O error on device hdc, logical block 17
hdc: command error: status=0x41 { DriveReady Error }
hdc: command error: error=0x50 { LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Logical block address out of range -- (asc=0x21, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 0
Buffer I/O error on device hdc, logical block 0
Buffer I/O error on device hdc, logical block 1
hdc: command error: status=0x41 { DriveReady Error }
hdc: command error: error=0x50 { LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Logical block address out of range -- (asc=0x21, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 0
  
Actual results:


Expected results:
No error in dmesg.

Additional info:
Comment 1 FuXiangChun 2011-06-09 06:33:09 EDT
tested on 
host info:
# uname -r
2.6.32-156.el6.x86_64
#rpm -qa|grep kvm
qemu-kvm-0.12.1.2-2.164.el6.x86_64

guest info:
# uname -r
2.6.18-267.el5

Steps to tested:
1.run a VM in src host 6.1
/usr/libexec/qemu-kvm -m 4G -smp 2 -usbdevice tablet -drive file=rhel5.7-64,if=none,id=drive-virtio0,werror=stop,rerror=stop,cache=none -boot c -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=02:00:ff:3F:2f:1f,bus=pci.0 -uuid `uuidgen` -name rhel57 -cdrom /dev/sr0 -monitor stdio -vnc :1

2.# ll /dev/cdrom
lrwxrwxrwx 1 root root 3 Jun  9 06:16 /dev/cdrom -> hdc
# ll /dev/hdc
brw-rw---- 1 root disk 22, 0 Jun  9 06:16 /dev/hdc

3.#dmesg|grep error
[root@localhost ~]# dmesg|grep error
nm-applet[2114]: segfault at 0000000000000008 rip 0000000000417030 rsp 00007fffe7800d00 error 4
[root@localhost ~]# dmesg|grep Error
 
Based on above ,this bug can not be reproduced.
Comment 2 juzhang 2011-06-10 00:29:48 EDT
According to comment1, close this issue as worksforeme,if anybody hit this issue again,please re-open it.

Note You need to log in before you can comment on or make changes to this bug.